#version 430 core

uniform mat4 ModelViewProjectionMatrix;
uniform mat4 ModelViewMatrix;
uniform mat3 NormalMatrix;

layout (location = 0) in vec3 POSITION;
layout (location = 1) in vec3 NORMAL;
layout (location = 4) in vec2 TEXCOORD;

out vec2 g_uv;
out vec3 g_normal;

void main()
{
	g_uv = TEXCOORD;
	g_normal = NORMAL;
	gl_Position = vec4(POSITION, 1.0);
}
